FABS(3)

NAME
fabs, fabsf, fabsl - floating-point absolute value functions

SYNOPSIS
libm
#include <math.h>
double
fabs(double x);
float
fabsf(float x);
long double
fabsl(long double x);

DESCRIPTION
The fabs() function computes the absolute value of a floating-point number x. The fabsf() function is a single precision version of fabs(). The fabsl() function is an extended precision version of fabs().

RETURN VALUES
The fabs(), fabsf() and fabsl() functions return the absolute value of x.

SEE ALSO
abs(3), ceil(3), floor(3), rint(3)

STANDARDS
The fabs() function conforms to ansiC.

HISTORY
An fabs() function first appeared in AT&T UNIX.